Package org.gradle.nativeplatform

## Interface BuildType

- All Superinterfaces:
    `Named`

      @Incubating
      public interface BuildType
      extends Named

  Specifies a build-type for a native binary. Common build types are 'debug' and 'release', but others may be defined.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayName()` | Returns a human-consumable name for this build type.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDisplayName

          java.lang.String getDisplayName()

      Returns a human-consumable name for this build type.